Help with jailbreaking and Cydia for iPhones, iPads, and iPod touches.

Instructions for jailbreaking iOS 8.0-8.1.2. See /r/jailbreak on Reddit, @PanguTeam, and @TaiG_jailbreak for updates.
How to jailbreak iOS 7.1-7.1.2 (using Pangu). How to jailbreak iOS 6.0-6.1.6.

Before asking a question, check Frequently Asked Questions to find quick answers!
How to fix some mysterious problems. If you'd like to ask for live help, you can join our chat room.

The problem is my iMessage doesn't work: shows "Waiting for activation" message. When i try to install SAM from cydia. it shows message "Note: The requested modification cannot be applied... Depends Samprefs >= 0.1.7-8" How to fix that problem? is there any other way to activate iMessage?

asked 31 Oct '11, 06:12

syler's gravatar image

syler
717212

Are you hactivated? Install SAM and SAMPrefs from http://repo.bingner.com repo

(31 Oct '11, 06:38) justinred ♦ justinred's gravatar image

@justinred have you read my question at all? I've already written that I tried to install SAM

(31 Oct '11, 06:43) syler syler's gravatar image

@syler a simple yes or no to my question regarding if you are hactivated would have suffice. No need to be hostile. We are trying to help here.

(31 Oct '11, 07:07) justinred ♦ justinred's gravatar image

I jailbroke my device with snowbreeze. iT comes with inbuilt havcktivation function as you know. After jailbreaking iOS5 My imessage not working. Now when i'm trying to install SAM from BINGNER REPO getting message "Note: The requested modification cannot be applied... Depends Samprefs >= 0.1.7-8" Also i analyzed current packages of my system: THERE IS NO SAMPREFS

(31 Oct '11, 07:08) syler syler's gravatar image

tap refresh on top left of changes tab. then check if samprefs appears on the binger repo.

(31 Oct '11, 07:16) justinred ♦ justinred's gravatar image

When i'm trying to install samprefs first it says Depends ACUtil>=0.0.3. Tried to install ACUtil it says "Depends UIKit tools <= 1.1.0" Tried to remove previously installed UIKit tools (version 1.1.1) it adds to remove queue Cydia Installer and Translations too. the problem is Latest version of UIKit tools is 1.1.1 but ACUtil depends UIKit tools <= 1.1.0 WHat to do?

(31 Oct '11, 07:36) syler syler's gravatar image

You got the UIKit tools 1.1.1 from thebigboss.org/semitether repo. I would uninstall semitether app right away if I were you, too buggy at the moment. Try removing the thebigboss.org/semitether repo from your sources to see if you can then revert your UIKit to 1.1.0

(31 Oct '11, 08:16) justinred ♦ justinred's gravatar image

But i can't remove only UIKit. It quesus to remove CYDIA too. How to remove only UIkit tools?

(31 Oct '11, 08:21) syler syler's gravatar image

try changing to developer in settings of manage tab. then go to apt.saurik.com source and install the UIKit tools 1.1.0

(31 Oct '11, 08:33) justinred ♦ justinred's gravatar image

there is no uikit tools in sauriks source. i told to you that uikit tools 1.1.1 already exists on my iOS, and it's impossible to uninstall it: because it wants to uninstall cydia too

(31 Oct '11, 08:38) syler syler's gravatar image

Yes there is, you need to choose developer or hacker in settings of manage tab. You will not see it if you are set as user.

Well, chalk this up to another semitether app fail. I would just restore it were me. Great reason why most of us here would not touch semitether app with a ten foot pole.

(31 Oct '11, 08:44) justinred ♦ justinred's gravatar image

Now that SAM is installed you need to know what carrier is your phone locked to, in automatic mode SAM assumes your iPhone is locked to AT&T, otherwise you need to do some guess work until you get it right if you don't know to which carrier is your phone locked (sometimes the iPhone model number helps find out).

You first need to enter SAM, it will notify you that you are hactivated and need to first De-Activate before proceeding, go to Utilities menu and select "De-Activate iPhone" a message will come up saying that stockifying succeeded, then go back to the SAM main menu.

You need to select the Method SAM should use to generate the simulated SIM ICCID and IMSI (this appears only after the De-Activation step above), the methods include:

  • Auto Detect: will assume AT&T SIM
  • By Bundle Name: you can select from the various bundles across the world, then select the SIM ID prefix.
  • By Country and Carrier: you can select Country, then Carrier, then under SIM ID you can select any ID prefix.
  • Manual: You need to enter the correct ICCID and IMSI numbers

Once the Method is selected, make sure Enabled is switched ON. Connect your iPhone to iTunes and you will see the status bar telling you that it is contacting apple server, and if you have selected the correct settings you will see the message that you have successfuly activated your iPhone.

Other options in SAM include:

  • Copying (Spoofing) ICCID and IMSI of an actual physical SIM card (perhaps you borrow it from a friend)
  • Backing up activation in case you don't want to remember the settings.
  • Restoring of activation from a back-up
link

answered 02 Nov '11, 00:38

knightz4u's gravatar image

knightz4u
4.9k91328

The SAM screens should look like this for an AT&T iPhone:

alt text


and More Information should look like this:

alt text

(02 Nov '11, 00:47) knightz4u knightz4u's gravatar image

trying. is there any way to live chat with you? do you have some IM?

(02 Nov '11, 00:47) syler syler's gravatar image

if this is an AT&T iPhone, try to match the first screen and then connect to iTunes, then let me know we can then chat on IRC if you still need help.

(02 Nov '11, 00:51) knightz4u knightz4u's gravatar image

GIVE ME irc DETAILS

(02 Nov '11, 00:52) syler syler's gravatar image

TRY first, then we will chat on IRC. The IRC we use is listed at the top of the page, the #jailbreakqa channel.

(02 Nov '11, 00:54) knightz4u knightz4u's gravatar image

I just read this in the morning, @sbingner has updated his SAM to function uunder iOS5 and make use of the updated components, so if you haven't restored already try to install it now and let us know if it works.

link

answered 01 Nov '11, 23:37

knightz4u's gravatar image

knightz4u
4.9k91328

didn't work this instructions

(02 Nov '11, 00:06) syler syler's gravatar image

Check your activation state in Settings -> SAM -> More Information, tell us what is listed for ActivationState.

(02 Nov '11, 00:28) knightz4u knightz4u's gravatar image

unactivated

(02 Nov '11, 00:31) syler syler's gravatar image

it is not working due to semitether

(02 Nov '11, 00:32) theiphoneguy ♦ theiphoneguy's gravatar image

ok, connect to iTunes to activate and it will change to WildcardActivated, then try iMessage again.

(02 Nov '11, 00:32) knightz4u knightz4u's gravatar image

Which instructions to follow?

(02 Nov '11, 00:34) syler syler's gravatar image

not the one from that hxxp://goo. address, that is piracy. We dont support that

(02 Nov '11, 00:36) theiphoneguy ♦ theiphoneguy's gravatar image

then which one? What is the piracy? OMG, what are you talking about? also it's still unactivated. Even after trying to connect to iTunes

(02 Nov '11, 00:38) syler syler's gravatar image

do you still have semitether installed and getting the dependancy error with uikit?

(02 Nov '11, 00:43) theiphoneguy ♦ theiphoneguy's gravatar image

@Tdumaine, he obviously got over that as he could read the SAM activation status.

(02 Nov '11, 00:45) knightz4u knightz4u's gravatar image

oh. Hard to keep up with in 2 questions and comments all spread around :)

(02 Nov '11, 00:52) theiphoneguy ♦ theiphoneguy's gravatar image

@syler, @justinred was correct, it seems you're unable to install or upgrade an existing SAMPrefs. so before installing SAM, look for an installed SAMPrefs and remove it first, then try to install SAM again.

I know one Cydia App conflicts with SAM which is MiTime, so if you have MiTime make sure to remove it before starting.

Note: SAM will install the compatible version of SAMPrefs, and after the installation you should have both.

link

answered 31 Oct '11, 06:57

knightz4u's gravatar image

knightz4u
4.9k91328

))) OMG, i can't explain. I jailbroke my device with snowbreeze. iT comes with inbuilt havcktivation function as you know. After jailbreaking iOS5 My imessage not working. Now when i'm trying to install SAM from BINGNER REPO getting message "Note: The requested modification cannot be applied... Depends Samprefs >= 0.1.7-8" Also i analyzed current packages of my system: THERE IS NO SAMPREFS

(31 Oct '11, 07:07) syler syler's gravatar image

Ok, try to install SAMPrefs first and then SAM, let us know what it comes back with.

(31 Oct '11, 07:11) knightz4u knightz4u's gravatar image

When i'm trying to install samprefs first it says Depends ACUtil>=0.0.3. Tried to install ACUtil it says "Depends UIKit tools <= 1.1.0" Tried to remove previously installed UIKit tools (version 1.1.1) it adds to remove queue Cydia Installer and Translations too. WHat to do?

(31 Oct '11, 07:19) syler syler's gravatar image

try to reinstall UIKit tools without removing, then try again.

(31 Oct '11, 07:30) knightz4u knightz4u's gravatar image

tried. no sucess. the problem is Latest version of UIKit tools is 1.1.1 but ACUtil depends UIKit tools <= 1.1.0

(31 Oct '11, 07:36) syler syler's gravatar image

Edited - just saw semitether reference.

You are doomed to a restore and re jailbreak.

P.S. When others ask a question, it is because you answered or stated something in a way we don't understand, and are seeking clarification. While fixing a phone can be frustrating, please do not yell at people helping you. Ty :)

link

answered 31 Oct '11, 13:46

theiphoneguy's gravatar image

theiphoneguy ♦
38.2k55119

edited 31 Oct '11, 13:48

I updated it, directly after jailbreaking, then istalled Semitether now i can't remove UIKit tools 1.1.1. SAM depends 1.1.0 version of UIKit

(31 Oct '11, 13:49) syler syler's gravatar image
Your answer: (please use the "add new comment" button unless you are actually answering the original question)
toggle preview

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "Title")
  • image?![alt text](/path/img.jpg "Title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Tags:

×3,978
×238

Asked: 31 Oct '11, 06:12

Seen: 8,252 times

Last updated: 02 Nov '11, 00:54

JailbreakQA is by chpwn and comex.
About JailbreakQA. Powered by OSQA.